import request from "@/util/oaRequest"

// 查询报工任务单元列表
export function listOaTaskItem(query) {
  return request({
    url: '/oa/oaTaskItem/list',
    method: 'get',
    params: query
  })
}

// 查询报工任务单元详细
export function getOaTaskItem(itemId) {
  return request({
    url: '/oa/oaTaskItem/' + itemId,
    method: 'get'
  })
}

// 新增报工任务单元
export function addOaTaskItem(data) {
  return request({
    url: '/oa/oaTaskItem',
    method: 'post',
    data: data
  })
}

// 修改报工任务单元
export function updateOaTaskItem(data) {
  return request({
    url: '/oa/oaTaskItem',
    method: 'put',
    data: data
  })
}

// 修改报工任务单元
export function reportFormSubmit(data) {
  return request({
    url: '/oa/oaTaskItem/reportSubmit',
    method: 'put',
    data: data
  })
}

// 删除报工任务单元
export function delOaTaskItem(itemId) {
  return request({
    url: '/oa/oaTaskItem/' + itemId,
    method: 'delete'
  })
}
